| Home | Libraries | People | FAQ | More

#### test::run

Run an I/O context.

##### Synopsis

Defined in header `<boost/beast/_experimental/test/handler.hpp>`

    void
    run(
        net::io_context& ioc);

##### Description

This function runs and dispatches handlers on the specified I/O context, until one of the following conditions is true:

- The I/O context runs out of work.

##### Parameters

Name | Description
--- | ---
`ioc` | The I/O context to run